Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
OpenNI2
C C++ Shell Other
branch: master

This branch is 6 commits ahead, 4 commits behind OpenNI:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
Config
Include
Packaging
Samples
Source
ThirdParty
Wrappers/java
.gitignore
Android.mk
Application.mk
CHANGES.txt
LICENSE
Makefile
NOTICE
OpenNI.sln
README
ReleaseNotes.txt

README

OpenNI
------

Website: www.openni.org

Buliding Prerequisites
======================
Windows
-------
- Microsoft Visual Studio 2010
    From: http://msdn.microsoft.com/en-us/vstudio/bb984878.aspx
- Microsoft Kinect SDK v1.6
    From: http://go.microsoft.com/fwlink/?LinkID=262831
- Python 2.6+/3.x
    From: http://www.python.org/download/
- PyWin32
    From: http://sourceforge.net/projects/pywin32/files/pywin32/
    Please make sure you download the version that matches your exact python version.
- JDK 6.0
    From: http://www.oracle.com/technetwork/java/javase/downloads/jdk-6u32-downloads-1594644.html
    You must also define an environment variable called "JAVA_HOME" that points to the JDK installation directory.
    For example: set JAVA_HOME=c:\Program Files (x86)\Java\jdk1.6.0_32
- WIX 3.5
    From: http://wix.codeplex.com/releases/view/60102
- Doxygen
    From: http://www.stack.nl/~dimitri/doxygen/download.html#latestsrc
- GraphViz
    From: http://www.graphviz.org/Download_windows.php

Linux
-----
- GCC 4.x
    From: http://gcc.gnu.org/releases.html
    Or via apt:
    sudo apt-get install g++
- Python 2.6+/3.x
    From: http://www.python.org/download/
    Or via apt:
    sudo apt-get install python
- LibUSB 1.0.x
    From: http://sourceforge.net/projects/libusb/files/libusb-1.0/
    Or via apt:
    sudo apt-get install libusb-1.0-0-dev
- LibUDEV
    sudo apt-get install libudev-dev
- JDK 6.0
    From: http://www.oracle.com/technetwork/java/javase/downloads/jdk-6u32-downloads-1594644.html
    Or via apt:
    Ubuntu 10.x:
        sudo add-apt-repository "deb http://archive.canonical.com/ lucid partner"
        sudo apt-get update
        sudo apt-get install sun-java6-jdk
    Ubuntu 12.x:
        sudo apt-get install openjdk-6-jdk
- FreeGLUT3
    From: http://freeglut.sourceforge.net/index.php#download
    Or via apt:
    sudo apt-get install freeglut3-dev
- Doxygen
    From: http://www.stack.nl/~dimitri/doxygen/download.html#latestsrc
    Or via apt:
    sudo apt-get install doxygen
- GraphViz
    From: http://www.graphviz.org/Download_linux_ubuntu.php
    Or via apt:
    sudo apt-get install graphviz

Android
-------
- Android NDK r8d
    From: http://developer.android.com/tools/sdk/ndk/index.html#Downloads

Building
========
Building on Windows:
  Open the solution OpenNI.sln
  
Building on Linux:
  Run:
  $ make
  
Cross-Compiling for ARM on Linux:
  The following environment variables should be defined:
  - ARM_CXX=<path to cross-compilation g++>
  - ARM_STAGING=<path to cross-compilation staging dir>
  Then, run:
  $ PLATFORM=Arm make

Creating OpenNI2 package:
  - Go into the directory 'Packaging'
  - Run ReleaseVersion.py [x86|x64|arm|android]
    NOTE: for android, NDK_ROOT must be defined, pointing to the NDK installation dir.
  - Installer will be placed in the 'Final' directory

Something went wrong with that request. Please try again.